Create a post
POST
/posts/v1/projects/{projectId}/feeds/{feedId}/postsCreate a new post in a feed
Authorization
Bearer Authorization<token>
In: header
Path Parameters
projectId*string
Project ID
feedId*string
Feed ID
Request Body
requiredapplication/json{
"$ref": "#/components/schemas/internal_posts.createPostBody",
"$ref-value": {
"properties": {
"creator_id": {
"type": "string"
},
"description": {
"type": "string"
},
"image_id": {
"type": "string"
},
"type": {
"enum": [
"video",
"image"
],
"type": "string"
},
"video_id": {
"type": "string"
}
},
"required": [
"type"
],
"type": "object"
}
}Response Body
201application/json
Created
type: unknown
{
"$ref": "#/components/schemas/postsv1.Post",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"creator_id": {
"type": "string"
},
"description": {
"type": "string"
},
"feed_id": {
"type": "string"
},
"id": {
"type": "string"
},
"image": {
"$ref": "#/components/schemas/postsv1.PostImage",
"$ref-value": {
"properties": {
"attached_to_video": {
"type": "boolean"
},
"file": {
"$ref": "#/components/schemas/postsv1.PostFile",
"$ref-value": {
"properties": {
"format": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"project_id": {
"type": "string"
},
"size": {
"type": "integer"
},
"status": {
"type": "string"
},
"url": {
"type": "string"
}
},
"type": "object"
}
},
"height": {
"type": "integer"
},
"id": {
"type": "string"
},
"thumbhash": {
"type": "string"
},
"width": {
"type": "integer"
}
},
"type": "object"
}
},
"image_id": {
"type": "string"
},
"type": {
"type": "string"
},
"video": {
"$ref": "#/components/schemas/postsv1.PostVideo",
"$ref-value": {
"properties": {
"bitrate": {
"type": "integer"
},
"codec": {
"type": "string"
},
"duration": {
"type": "number"
},
"file": {
"$ref": "#/components/schemas/postsv1.PostFile",
"$ref-value": {
"properties": {
"format": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"project_id": {
"type": "string"
},
"size": {
"type": "integer"
},
"status": {
"type": "string"
},
"url": {
"type": "string"
}
},
"type": "object"
}
},
"framerate": {
"type": "string"
},
"hdr": {
"type": "boolean"
},
"height": {
"type": "integer"
},
"id": {
"type": "string"
},
"poster": {
"$ref": "#/components/schemas/postsv1.PostImage",
"$ref-value": {
"properties": {
"attached_to_video": {
"type": "boolean"
},
"file": {
"$ref": "#/components/schemas/postsv1.PostFile",
"$ref-value": {
"properties": {
"format": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"project_id": {
"type": "string"
},
"size": {
"type": "integer"
},
"status": {
"type": "string"
},
"url": {
"type": "string"
}
},
"type": "object"
}
},
"height": {
"type": "integer"
},
"id": {
"type": "string"
},
"thumbhash": {
"type": "string"
},
"width": {
"type": "integer"
}
},
"type": "object"
}
},
"width": {
"type": "integer"
}
},
"type": "object"
}
},
"video_id": {
"type": "string"
}
},
"type": "object"
}
}curl -X POST "https://api.rixl.com/posts/v1/projects/string/feeds/string/posts" \
-H "Content-Type: application/json" \
-d '{
"type": "video"
}'Created
application/json
{
"$ref": "#/components/schemas/postsv1.Post",
"$ref-value": {
"properties": {
"created_at": {
"type": "string"
},
"creator_id": {
"type": "string"
},
"description": {
"type": "string"
},
"feed_id": {
"type": "string"
},
"id": {
"type": "string"
},
"image": {
"$ref": "#/components/schemas/postsv1.PostImage",
"$ref-value": {
"properties": {
"attached_to_video": {
"type": "boolean"
},
"file": {
"$ref": "#/components/schemas/postsv1.PostFile",
"$ref-value": {
"properties": {
"format": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"project_id": {
"type": "string"
},
"size": {
"type": "integer"
},
"status": {
"type": "string"
},
"url": {
"type": "string"
}
},
"type": "object"
}
},
"height": {
"type": "integer"
},
"id": {
"type": "string"
},
"thumbhash": {
"type": "string"
},
"width": {
"type": "integer"
}
},
"type": "object"
}
},
"image_id": {
"type": "string"
},
"type": {
"type": "string"
},
"video": {
"$ref": "#/components/schemas/postsv1.PostVideo",
"$ref-value": {
"properties": {
"bitrate": {
"type": "integer"
},
"codec": {
"type": "string"
},
"duration": {
"type": "number"
},
"file": {
"$ref": "#/components/schemas/postsv1.PostFile",
"$ref-value": {
"properties": {
"format": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"project_id": {
"type": "string"
},
"size": {
"type": "integer"
},
"status": {
"type": "string"
},
"url": {
"type": "string"
}
},
"type": "object"
}
},
"framerate": {
"type": "string"
},
"hdr": {
"type": "boolean"
},
"height": {
"type": "integer"
},
"id": {
"type": "string"
},
"poster": {
"$ref": "#/components/schemas/postsv1.PostImage",
"$ref-value": {
"properties": {
"attached_to_video": {
"type": "boolean"
},
"file": {
"$ref": "#/components/schemas/postsv1.PostFile",
"$ref-value": {
"properties": {
"format": {
"type": "string"
},
"id": {
"type": "string"
},
"name": {
"type": "string"
},
"project_id": {
"type": "string"
},
"size": {
"type": "integer"
},
"status": {
"type": "string"
},
"url": {
"type": "string"
}
},
"type": "object"
}
},
"height": {
"type": "integer"
},
"id": {
"type": "string"
},
"thumbhash": {
"type": "string"
},
"width": {
"type": "integer"
}
},
"type": "object"
}
},
"width": {
"type": "integer"
}
},
"type": "object"
}
},
"video_id": {
"type": "string"
}
},
"type": "object"
}
}